file_io.h File Reference
Module common
`#include <iostream>`
`#include <dirent.h>`
`#include <vector>`
`#include <algorithm>`
`#include <pcl/common/impl/file_io.hpp>`

Go to the source code of this file.

## Detailed Description

Define some helper functions for reading and writing files.

Definition in file file_io.h.

## Namespaces

| pcl

## Functions

void | pcl::getAllPcdFilesInDirectory (const std::string &directory, std::vector< std::string > &file_names)
| Find all *.pcd files in the directory and return them sorted. More...
std::string | pcl::getFilenameWithoutPath (const std::string &input)
| Remove the path from the given string and return only the filename (the remaining string after the last '/') More...
std::string | pcl::getFilenameWithoutExtension (const std::string &input)
| Remove the extension from the given string and return only the filename (everything before the last '. More...
std::string | pcl::getFileExtension (const std::string &input)
| Get the file extension from the given string (the remaining string after the last '. More...